Bug 204658 - x11-wm/dwm: update to 6.1
Summary: x11-wm/dwm: update to 6.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: http://lists.suckless.org/dev/1511/27...
Keywords: patch, patch-ready
Depends on: 205236
Blocks: 203325
  Show dependency treegraph
 
Reported: 2015-11-18 12:13 UTC by Jan Beich
Modified: 2015-12-13 06:17 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback-


Attachments
update, v1 (5.08 KB, patch)
2015-11-18 12:18 UTC, Jan Beich
no flags Details | Diff
cleanup part1 (option helpers) (1.73 KB, patch)
2015-11-18 12:21 UTC, Jan Beich
no flags Details | Diff
cleanup part2 (simplify patching) (3.71 KB, patch)
2015-11-18 12:22 UTC, Jan Beich
no flags Details | Diff
minor usability fix (symlink) (899 bytes, patch)
2015-11-18 12:27 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-11-18 12:13:19 UTC
Tested on 9.3R i386, 9.3R amd64, 10.1R i386, 10.2R amd64, 11.0C amd64 (local) and a custom config.h with

  static void restart(const Arg *arg) {
	  char *argv[] = { (char *)getprogname(), NULL };
	  cleanup();
	  XCloseDisplay(dpy);
	  execvp(argv[0], argv);
  }
Comment 1 Jan Beich freebsd_committer 2015-11-18 12:18:02 UTC
Created attachment 163287 [details]
update, v1
Comment 2 Jan Beich freebsd_committer 2015-11-18 12:21:17 UTC
Created attachment 163288 [details]
cleanup part1 (option helpers)
Comment 3 Jan Beich freebsd_committer 2015-11-18 12:22:02 UTC
Created attachment 163289 [details]
cleanup part2 (simplify patching)
Comment 4 Jan Beich freebsd_committer 2015-11-18 12:27:01 UTC
Created attachment 163290 [details]
minor usability fix (symlink)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-18 15:51:25 UTC
Reporter is committer, assign accordingly
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-18 15:52:41 UTC
@Jan, going to combine these into a single diff or should we set maintainer-approval ? on all of them?
Comment 7 Jan Beich freebsd_committer 2015-11-18 17:24:31 UTC
(In reply to Kubilay Kocak from comment #6)
> @Jan, going to combine these into a single diff

I'd prefer not, blobs make review more painful for anything non-trivial. Combining mainly helps when reporter != assignee due to lack of Bugzilla + VCS integration. git-bz-moz, hg bzexport, etc. may bridge the gap after Bugzilla here is updated to 5.0 (for REST API).

These patches require different kind of attention. "update" wants the most, cleanups can go under portmgr blanket and "minor usability fix" maybe unrelated. However, moving them into separate bugs would mean rebase churn plus broken XFT (see 203325) further complicates that.

> or should we set maintainer-approval ? on all of them?

Can maintainer-approval be set by non-committers? My guess, bug 197656 didn't help based on bug 200853 and bug 202401 unless folks are too conditioned towards maintainer-feedback+ instead. bugstest.freebsd.org has New Account disabled, so I can't confirm.
Comment 8 commit-hook freebsd_committer 2015-12-07 04:59:23 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec  7 04:58:49 UTC 2015
New revision: 403178
URL: https://svnweb.freebsd.org/changeset/ports/403178

Log:
  x11-wm/dwm: update to 6.1

  Drop unused dependencies likely from overlinking in the past.

  $ readelf -d /usr/local/bin/dwm | fgrep NEEDED
   0x0000000000000001 (NEEDED)             Shared library: [libX11.so.6]
   0x0000000000000001 (NEEDED)             Shared library: [libXinerama.so.1]
   0x0000000000000001 (NEEDED)             Shared library: [libfontconfig.so.1]
   0x0000000000000001 (NEEDED)             Shared library: [libXft.so.2]
   0x0000000000000001 (NEEDED)             Shared library: [libc.so.7]

  Changes:	http://lists.suckless.org/dev/1511/27504.html
  PR:		203325, 204658
  Approved by:	maintainer timeout (18 days)

Changes:
  head/x11-wm/dwm/Makefile
  head/x11-wm/dwm/distinfo
  head/x11-wm/dwm/files/patch-config.mk
Comment 9 commit-hook freebsd_committer 2015-12-07 05:00:25 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec  7 04:59:36 UTC 2015
New revision: 403179
URL: https://svnweb.freebsd.org/changeset/ports/403179

Log:
  x11-wm/dwm: convert to option helpers

  But keep DWM_CONF working if defined via Makefile.local

  PR:		204658
  Approved by:	portmgr blanket

Changes:
  head/x11-wm/dwm/Makefile
Comment 10 commit-hook freebsd_committer 2015-12-07 05:01:27 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec  7 05:00:58 UTC 2015
New revision: 403180
URL: https://svnweb.freebsd.org/changeset/ports/403180

Log:
  x11-wm/dwm: simplify patching

  Override variables instead of trying to fix them, sometimes incorrectly.

  PR:		204658
  Approved by:	portmgr blanket

Changes:
  head/x11-wm/dwm/Makefile
  head/x11-wm/dwm/files/patch-Makefile
  head/x11-wm/dwm/files/patch-config.mk
Comment 11 commit-hook freebsd_committer 2015-12-07 05:02:28 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec  7 05:01:45 UTC 2015
New revision: 403181
URL: https://svnweb.freebsd.org/changeset/ports/403181

Log:
  x11-wm/dwm: make DWM_CONF use symlink

  Avoid config.h and DWM_CONF being out of sync. In case of update while
  trying fix a build failure one may want to do |make clean| after
  replacing a third-party patch in Makefile.local or files/ directory.

  PR:		204658
  Approved by:	maintainer timeout (18 days)

Changes:
  head/x11-wm/dwm/Makefile
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-07 07:28:42 UTC
(In reply to Jan Beich from comment #7)

maintainer-approval 'should' be able to be set by the account indicated when set to ? <email>, except there's a bug (bug 204316) which has been fixed in 5.x, and will land in the upcoming Bugzilla upgrade
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-07 07:33:41 UTC
Record maintainer timeout
Comment 14 commit-hook freebsd_committer 2015-12-13 06:05:44 UTC
A commit references this bug:

Author: jbeich
Date: Sun Dec 13 06:04:55 UTC 2015
New revision: 403656
URL: https://svnweb.freebsd.org/changeset/ports/403656

Log:
  x11-wm/dwm: config.def.h wants x11/sterm after r403178

  Bump PORTREVISION as this affects mainly default package users.

  Reported by:	Jakub Lach (via private mail)
  PR:		204658

Changes:
  head/x11-wm/dwm/Makefile
  head/x11-wm/dwm/pkg-message